%define api    1.3
%define major  0
%define libname %mklibname net6- %api %major
%define libname_devel %mklibname net6- %api -d

Summary:    A library to ease the development of network-based applications
Name:       net6
Version:    1.3.14
Release:    %mkrel 10
URL:        http://gobby.0x539.de/
License:    GPLv2+
Source0:    http://releases.0x539.de/%{name}/%{name}-%{version}.tar.gz
Patch0:	    net6-1.3.14-drop-deprecated-gnutls-call.patch
Group:      System/Libraries
BuildRequires: pkgconfig(sigc++-2.0)
BuildRequires: pkgconfig(gnutls)
BuildRequires: gettext-devel

%description
net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.

%package -n %libname
Summary:    A library to ease the development of network-based applications
Group:      System/Libraries
Requires:   %{name} >= %{version}
Obsoletes:  %mklibname net6_ 1.3

%description -n %libname
net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.

%package -n %libname_devel
Summary:    Development files for %libname
Group:      System/Libraries
Provides:   lib%{name}-devel = %version-%release
Obsoletes:  %mklibname -d net6_ 1.3
Requires:   %libname = %version

%description -n %libname_devel
Development files, header and includes for %libname.

net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.

%prep
%setup -q
%autopatch -p1

# make autoreconf more happy
sed -i -e 's,^\(AM_INIT_AUTOMAKE\)(\(.*\)).*,\1(\[\2 subdir-objects\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

rm -f %buildroot%_libdir/*.la

%find_lang %name

%files -f %name.lang

%files -n %libname
%doc ChangeLog README NEWS AUTHORS
%_libdir/*%{api}.so.%{major}*

%files -n %libname_devel
%_includedir/%name/
%_libdir/*.so
%_libdir/pkgconfig/*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.3.14-10.mga8
+ Revision: 1515340
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3.14-9.mga7
+ Revision: 1299698
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 1.3.14-8.mga7
+ Revision: 1236186
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Tue Jan 12 2016 luigiwalser <luigiwalser> 1.3.14-7.mga6
+ Revision: 922302
- add patch from fedora to fix build with gnutls 3.4
- rebuild for gnutls

* Fri Aug 28 2015 cjw <cjw> 1.3.14-6.mga6
+ Revision: 870545
- compile C++ code with -std=gnu++11
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.3.14-5.mga5
+ Revision: 744863
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.14-4.mga5
+ Revision: 682838
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.14-3.mga4
+ Revision: 528596
- Mageia 4 Mass Rebuild

* Tue Jun 25 2013 fwang <fwang> 1.3.14-2.mga4
+ Revision: 446369
- add translations
- cleanup spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 28 2012 ovitters <ovitters> 1.3.14-1.mga2
+ Revision: 215750
- new version 1.3.14
- drop build patch (merged)

* Thu Sep 01 2011 dmorgan <dmorgan> 1.3.12-2.mga2
+ Revision: 137655
- Remove .la files
+ ovitters <ovitters>
- add patch to compile against gnutls 3 from archlinux
  cleanup spec file (Mandriva version checks, buildroot, defattr)
- imported package net6


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.12-2mdv2011.0
+ Revision: 613011
- the mass rebuild of 2010.1 packages

* Thu Feb 11 2010 Michael Scherer <misc@mandriva.org> 1.3.12-1mdv2010.1
+ Revision: 504040
- new version 1.3.12
- remove patch0, applied upstream

* Thu Jun 04 2009 Funda Wang <fwang@mandriva.org> 1.3.9-2mdv2010.0
+ Revision: 382609
- BR gettext-devel
- autoreconf
- build with gnutls 2.8

* Fri Mar 06 2009 Michael Scherer <misc@mandriva.org> 1.3.9-1mdv2009.1
+ Revision: 349848
- update to 1.3.9

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 1.3.6-3mdv2009.0
+ Revision: 253738
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jan 21 2008 Funda Wang <fwang@mandriva.org> 1.3.6-1mdv2008.1
+ Revision: 155565
- New version 1.3.6

* Mon Jan 21 2008 Funda Wang <fwang@mandriva.org> 1.3.5-2mdv2008.1
+ Revision: 155487
- correct libname

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 18 2007 Michael Scherer <misc@mandriva.org> 1.3.5-1mdv2008.0
+ Revision: 66425
- fix buildrequires
- new version 1.3.5
- Import net6



* Mon Sep 04 2006 Michael Scherer <misc@mandriva.org> 1.3.1-1mdv2007.0
- New version 1.3.1

* Thu Dec 15 2005 Michael Scherer <misc@mandriva.org> 1.2.2-1mdk
- New release 1.2.2

* Mon Nov 28 2005 Michael Scherer <misc@mandriva.org> 1.2.1-1mdk
- New release 1.2.1, and new major

* Fri Nov 04 2005 Michael Scherer <misc@mandriva.org> 1.1.0-1mdk
- first package 
